2008年10月20日 星期一

我要 flash 10

看到 flash 10 推出,我也好想裝,但是官方目前只提供 i386 的版本
那在 openSUSE 64 位元作業系統中,該怎麼辦呢?
在您的 firefox 網址列輸入 about:plugins 可以看見
寄件者 other

Shockwave Flash

檔名: npwrapper.libflashplayer.so
Shockwave Flash 9.0 r124
這是 flash 9,藉由 nspluginwrapper 在 x86_64 的架構上運作
可惜在 flash 10 上面不穩定
根據官方說明要用開發中版本 1.1.2 才會修正 windowless plugins 的 firefox 崩潰
而且使用這版還有個 flash 右鍵選單無法顯示的問題
http://gwenole.beauchesne.info/en/blog/2008/10/13/nspluginwrapper_1.1.2
看了就不會想要用
再說,目前搜尋 for SUSE 的套件只有 nspluginwrapper 1.0.0
應該是無濟於事的
如果真想試試看,您可以這樣做:
移除 flash-player
# rpm -e flash-player


http://www.adobe.com/shockwave/download/download.cgi?P1_Prod_Version=ShockwaveFlash
下載 Adobe Flash Player
您可以選擇使用 .tar.gz for Linux 即可
(因為根據的測試,用 rpm 也是要做額外設定)
$ tar -zxvf install_flash_player_10_linux.tar.gz
$ su
# cp install_flash_player_10_linux/libflashplayer.so /usr/lib/browser-plugin/
# nspluginwrapper -i /usr/lib/browser-plugins/libflashplayer.so

如果不是使用 opensuse ,您的目標可能是 /usr/lib/firefox/plugins/ 或 ~/.mozilla/plugins/
以上命令執行完後,在 /usr/lib64/browser-plugins/ 中應該就會看見 npwrapper.libflashplayer.so
也可以用一般用戶執行 nspluginwrapper -i /usr/lib/browser-plugins/libflashplayer.so
如此則會安裝在 ~/.mozilla/plugins/
重新啟動 firefox 用 about:plugins 就可以看到

Shockwave Flash

檔名: npwrapper.libflashplayer.so
Shockwave Flash 10.0 r12
這樣就安裝完成了。
再次提醒您火狐會在某些 flash 當掉,別怪我。
(這是為了以後修正後安裝做準備)
但您也可以感到 flash 的效率的確增加了

其實用 64 位元的系統還是有很多程式跑 32 位元
您可以用
$ rpm -qa | grep 32bit

看看會跑出幾個
其實最好的方法就是跑一個 32 位元的 firefox
(不會差這一個吧)
用 YaST 的軟體管理,搜尋 MozillaFirefox
將 MozillaFirefox 和 MozillaFirefox-translations 的版本改成 i586 的版本
寄件者 other

再多安裝 mozilla-xulrunner190-32bit 和 mozilla-xulrunner190-translations-32bit
應該這樣就可以了
因為剛才已經將需要的 flash 檔案裝在 /usr/lib/browser-plugins/ 下了
開啟 firefox 看 about:plugins 可看到

Shockwave Flash

檔名: libflashplayer.so
Shockwave Flash 10.0 r12
大功告成了。
Java plugin 也可以用了

Java(TM) Plug-in 1.5.0_16-b02

檔名: libjavaplugin_oji.so
Java(TM) Plug-in 1.5.0_16
囧的是 gcin 是 64 位元的,似乎蹦現視窗的位置會有點不對
管他的了(我想 11.1 時,我還是裝 32 bit 的版本好了)

4 則留言:

shelandy 提到...

我半年前還是更早吧,mandriva 2008 AMD64版裝 flash 10早期版先不成,改裝flash 9更當的亂七八糟,後來又換flash-plugin-10.0.1.218-release
還算ok,偶爾FF切換tab 後flash video 會不見,重開FF 就沒事了。相較之下,我還是不打算用9

所以光講 10/9 版不準,供suse 的朋友參考

swyear 提到...

嗯,shelandy 說得不錯,可能一個小改版情況就不同了

立榮 提到...

原來 黑眼珠版主 有用過UBUNTU 的版本

那跟 OPEN SUSE

哪個更新 會比較快勒

swyear 提到...

各種版本用一用,看哪個投緣就用哪個啦!